SslMessageReceiver.SslWorker (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.ssl.SslMessageReceiver.SslWorker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.ssl
Class SslMessageReceiver.SslWorker

    java.lang.Object
      org.mule.transport.AbstractReceiverWorker
          org.mule.transport.AbstractReceiverResourceWorker
              org.mule.transport.tcp.TcpMessageReceiver.TcpWorker
                  org.mule.transport.ssl.SslMessageReceiver.SslWorker

All Implemented Interfaces:
  Runnable, javax.resource.spi.work.Work, Disposable, Expirable

Enclosing class:
  SslMessageReceiver

    protected class SslMessageReceiver.SslWorker

extends TcpMessageReceiver.TcpWorker

Field Summary

Fields inherited from class org.mule.transport.tcp.TcpMessageReceiver.TcpWorker
`dataIn, dataInWorkFinished, dataOut, notify, protocol, socket, underlyingIn`

Fields inherited from class org.mule.transport.AbstractReceiverResourceWorker
`resource`

Fields inherited from class org.mule.transport.AbstractReceiverWorker
`endpoint, messages, out, receiver`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SslMessageReceiver.SslWorker(Socket socket, AbstractMessageReceiver receiver)`

Method Summary
`protected void` | `preRouteMuleMessage(DefaultMuleMessage message)` This callback is called before a message is routed into Mule and can be used by the worker to set connection specific properties to message before it gets routed
`protected void` | `shutdownSocket()`

Methods inherited from class org.mule.transport.tcp.TcpMessageReceiver.TcpWorker
`bindTransaction, dispose, expired, getNextMessage, handleResults, hasMoreMessages, release`

Methods inherited from class org.mule.transport.AbstractReceiverResourceWorker
`doRun`

Methods inherited from class org.mule.transport.AbstractReceiverWorker
`handleException, postProcessMessage, preProcessMessage, run`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SslMessageReceiver.SslWorker

    public SslMessageReceiver.SslWorker(Socket socket,
                                        AbstractMessageReceiver receiver)
                                 throws IOException

Throws:
  `IOException`

Method Detail

### preRouteMuleMessage

    protected void preRouteMuleMessage(DefaultMuleMessage message)
                                throws Exception

  Description copied from class: `AbstractReceiverWorker`
  This callback is called before a message is routed into Mule and can be used by the worker to set connection specific properties to message before it gets routed

  Overrides:
    `preRouteMuleMessage` in class `TcpMessageReceiver.TcpWorker`
  Parameters:
    `message` - the next message to be processed
  Throws:
    `Exception`

### shutdownSocket

    protected void shutdownSocket()
                           throws IOException

  Overrides:
    `shutdownSocket` in class `TcpMessageReceiver.TcpWorker`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.